[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'FileUtil' (#lcl)

# CheckIfFileIsExecutable

CheckIfFileIsExecutable - creates Exception if file is not Executable

## Declaration

Source position: fileutil.pas line 54

`procedure CheckIfFileIsExecutable(`
`const AFilename: String`
`);`

## Arguments

`AFilename` |  | AFileName - name of the file for checking

## Description

CheckIfFileIsExecutable - creates Exception if file is not Executable

Otherwise, there is no action

## Errors

An exception is raised if the file is not executable

The latest version of this document can be found at lazarus-ccr.sourceforge.net.